<?php
defined('ROOT_DIR') or die(__FILE__.' requires egConfig.inc.php');	
include_once(ROOT_DIR.'egWindow.class.php');

class egToolTip extends egWindow {

	function egToolTip($id, $title = '') {
		parent::egWindow($id, $title);
	}

	function getClassName() {
		return "egToolTip";
	}

	function getHTML() {
		$html = "var toolTip_{$this->id} = new egToolTip('{$this->id}', '{$this->title}');";

		return $html;
	}

	/**
 	 *
	 *  @static
	 */
	function getScriptsFiles() {
    $scriptsArray = array();
    $scriptsArray[ALL] = "egToolTip_default.js";
    return $scriptsArray;
	}

	/**
 	 *
	 *  @static
	 */
	function getStylesFiles() {
    $stylesArray = array();
    $stylesArray[ALL] = "egToolTip_default.css";
    return $stylesArray;
	}
}
?>